ERPNext.com Frappe Cloud Support Partners Foundation Frappe School

Error when taking a backup to dropbox

Hello, I’ve successfully integrated ERPnext with dropbox following this guide, But after clicking Backup now, an error occured.

Here are the log file contents:

frappe.integrations.doctype.dropbox_settings.dropbox_settings.take_backup_to_dropbox

Traceback (most recent call last):
  File "/srv/www/frappe-bench/apps/frappe/frappe/integrations/doctype/dropbox_settings/dropbox_settings.py", line 55, in take_backup_to_dropbox
    validate_file_size()
  File "/srv/www/frappe-bench/apps/frappe/frappe/integrations/offsite_backup_utils.py", line 102, in validate_file_size
    file_size = get_file_size(latest_file, unit="GB")
  File "/srv/www/frappe-bench/apps/frappe/frappe/integrations/offsite_backup_utils.py", line 72, in get_file_size
    file_size = os.path.getsize(file_path)
  File "/usr/lib/python3.9/genericpath.py", line 50, in getsize
    return os.stat(filename).st_size
TypeError: stat: path should be string, bytes, os.PathLike or integer, not NoneType

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/www/frappe-bench/apps/frappe/frappe/utils/background_jobs.py", line 106, in execute_job
    method(**kwargs)
  File "/srv/www/frappe-bench/apps/frappe/frappe/integrations/doctype/dropbox_settings/dropbox_settings.py", line 77, in take_backup_to_dropbox
    send_email(False, "Dropbox", "Dropbox Settings", "send_notifications_to", error_message)
  File "/srv/www/frappe-bench/apps/frappe/frappe/integrations/offsite_backup_utils.py", line 39, in send_email
    frappe.sendmail(recipients=recipients, subject=subject, message=message)
  File "/srv/www/frappe-bench/apps/frappe/frappe/__init__.py", line 557, in sendmail
    builder.process(send_now=now)
  File "/srv/www/frappe-bench/apps/frappe/frappe/email/doctype/email_queue/email_queue.py", line 548, in process
    queue_data = self.as_dict(include_recipients=False)
  File "/srv/www/frappe-bench/apps/frappe/frappe/email/doctype/email_queue/email_queue.py", line 568, in as_dict
    email_account = self.get_outgoing_email_account()
  File "/srv/www/frappe-bench/apps/frappe/frappe/email/doctype/email_queue/email_queue.py", line 460, in get_outgoing_email_account
    self._email_account = EmailAccount.find_outgoing(
  File "/srv/www/frappe-bench/apps/frappe/frappe/utils/error.py", line 232, in wrapper_raise_error_on_no_output
    frappe.throw(error_message, error_type or Exception)
  File "/srv/www/frappe-bench/apps/frappe/frappe/__init__.py", line 438, in throw
    msgprint(msg, raise_exception=exc, title=title, indicator='red', is_minimizable=is_minimizable, wide=wide, as_list=as_list)
  File "/srv/www/frappe-bench/apps/frappe/frappe/__init__.py", line 417, in msgprint
    _raise_exception()
  File "/srv/www/frappe-bench/apps/frappe/frappe/__init__.py", line 371, in _raise_exception
    raise raise_exception(msg)
frappe.exceptions.OutgoingEmailError: Please setup default Email Account from Setup > Email > Email Account